var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Component, Host, h, Element } from '@stencil/core';
import { InjectVegaGlobalSlimmer, InjectVegaSlimmer } from 'vega-slimmer/core';
import { VegaComponentUsageRuntimeMetricsSlimmer } from '../../helpers/slimmers/component-usage-runtime-metrics';
import { ManageVegaLoaderWrapperZIndexController } from './slimmers/controllers/manage-vega-loader-wrapper-z-index-controller';
/**
 * @vegaVersion 2.0.0
 */
export class VegaLoaderWrapper {
  constructor() {
    this.globalSlimmers = {};
    this.manageVegaLoaderWrapperZIndexController = new ManageVegaLoaderWrapperZIndexController();
    this.vegaComponentUsageRuntimeMetricsSlimmer = new VegaComponentUsageRuntimeMetricsSlimmer();
  }
  render() {
    return (h(Host, { class: "vega-loader-wrapper" },
      h("slot", null)));
  }
  static get is() { return "vega-loader-wrapper"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["vega-loader-wrapper.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["vega-loader-wrapper.css"]
  }; }
  static get elementRef() { return "host"; }
}
__decorate([
  InjectVegaGlobalSlimmer()
], VegaLoaderWrapper.prototype, "globalSlimmers", void 0);
__decorate([
  InjectVegaSlimmer()
], VegaLoaderWrapper.prototype, "manageVegaLoaderWrapperZIndexController", void 0);
__decorate([
  InjectVegaSlimmer()
], VegaLoaderWrapper.prototype, "vegaComponentUsageRuntimeMetricsSlimmer", void 0);
